@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&family=League+Spartan:wght@100;200;300;400;500;600;700;800;900&family=Poppins:wght@300;400;500;600;700;800;900&family=Roboto&display=swap');

* {
    /* font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif; */
    font-family: 'Inter', sans-serif;
}

html {
    scroll-behavior: smooth;
}

::selection {
    color: white;
    background: rgba(181, 66, 248, 0.2);
}

:root {
    --primary-pink: #f8a6f0;
    --primary-blue: #51b4fa;
    --primary-purple: #854aeb;
    --primary-yellow: #f8d997;
    --secondary-pink: #FF4576;
    --primary-text: #333;
    --secondary-text: #7f8893;
}

@keyframes move {
    0% {
        left: 0px;
        top: -7px;
    }

    50% {
        left: 0px;
        top: 3px;
    }

    100% {
        left: 0px;
        top: -7px;
    }
}

@keyframes scaleOut {
    0% {
        transform: scale(1.10);
        opacity: 0;
    }

    100% {
        transform: scale(1);
        opacity: 1;
    }
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.hide {
    display: none;
}

body {
    margin: 0;
    padding: 0;
}

/* INFO-NAV */
#info-nav {
    background-color: transparent;
    backdrop-filter: blur(50px);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    margin: auto;
    box-sizing: border-box;
    z-index: 5;
    overflow: hidden;
}
#info-nav ul {
    padding: 8px 0;
    margin: 0 auto;
    list-style: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-align: center;
}
#info-nav ul li {
    flex: 1;
    border-right: 1px solid var(--primary-text);
    transition: all .25s;
}
#info-nav ul li:hover{
    transform: scale(1.05);
}
#info-nav ul li a {
    color: var(--primary-text);
    font-size: 18px;
    font-weight: 700;
    cursor: pointer;
    transition: all .25s;
}
#info-nav ul li:hover a{
    color: var(--primary-purple);
}
@media (max-width: 700px) {
    #info-nav{
        width: 90%;
    }
    #info-nav ul li a {
        font-size: 14px;
        font-weight: 600;
        padding: 0 5px;
    }
}
@media (max-width: 500px) {
    #info-nav ul li a {
        font-size: 12px;
        padding: 0 5px;
    }
}
@media (max-width: 430px) {
    #info-nav ul li:nth-of-type(2) {
        display: none;
    }
    #info-nav ul li a {
        font-size: 14px;
        font-weight: 700;
        padding: 0;
    }
}


/*Navbar*/
nav {
    background-color: hsla(0, 0%, 100%, 0.65);
    display: Flex;
    justify-content: center;
    width: 90%;
    margin: auto;
    align-items: center;
    position: absolute;
    right: 0;
    left: 0;
    top: 35px;
    bottom: auto;
    z-index: 1;
    padding: 12px 10px;
    border-radius: 76px;
    backdrop-filter: blur(50px);
    box-sizing: border-box;
    animation: .5s ease-out 0s 1 fadeIn;
}

#desk-nav {
    display: Flex;
    justify-content: space-between;
    margin: auto;
    align-items: center;
    width: 90%;
}

#desk-nav div {
    flex: 1;
}

.links ul {
    display: flex;
    justify-content: space-between;
    padding: 0;
}

.links ul li {
    list-style: none;
    margin: 0 10px;
    position: relative;
    display: flex;
    margin: auto;
}

/*DESK-SERVICE UL*/
#service-down {
    width: auto;
    height: 10px;
    margin-left: 10px;
    transition: all cubic-bezier(0.175, 0.885, 0.32, 1.275) .55s;
}
.links ul li:hover #service-down {
    transform: rotate(540deg);
}

#service-ul {
    display: none;
    flex-direction: column;
    align-items: center;
    position: absolute;
    left: -50%;
    top: 100%;
    border: none;
    padding-top: 45px;
    transition: all .35s ease;
    width: 200px;
    box-sizing: border-box;
    background-color: transparent;
    background-image:
        linear-gradient(to bottom,
            rgba(255, 255, 255, 0) 8.9%,
            #fff 0%,
            #fff 100%,
            rgba(255, 255, 255, 0) 85%);
    border-top-right-radius: 0px;
    border-top-left-radius: 0px;
    border-bottom-right-radius: 30px;
    border-bottom-left-radius: 30px;
}

#service-ul li {
    padding: 9px 5px;
    border-bottom: 1px solid rgb(221, 219, 219);
    flex: 1;
}

.links ul li:nth-of-type(3):hover #service-down+#service-ul {
    display: flex;
}


.links ul li a,
#service-ul li a {
    list-style: none;
    color: var(--secondary-text);
    font-size: 17px;
    text-decoration: none;
    font-weight: 500;
}


.links ul li::before {
    content: '';
    border: 1px solid var(--primary-purple);
    border-radius: 50px;
    color: var(--primary-purple);
    width: 0;
    position: absolute;
    bottom: -3px;
    left: 0;
    transition: all 200ms ease-out;
    visibility: hidden;
}

.links ul li:hover:before {
    width: 90%;
    visibility: visible;
}

.logo {
    font-weight: bolder;
    font-size: 26px;
    text-align: center;
    text-decoration: underline;
}

/* MOBILE-NAV */
#mobile-nav {
    display: none;
}

.mobile-links {
    transition: all .35s ease;
    animation: fadeIn .5s;
    margin: 0 auto 41px auto;
    display: flex;
    justify-content: center;
    z-index: 999;

}

.mobile-links ul {
    position: fixed;
    left: 0;
    background: #fff;
    border-radius: 30px;
    width: 95%;
    padding: 30px 20px;
    transition: all .35s ease;
    margin: 14.5% auto 0 auto;
}

.mobile-links ul li {
    list-style: none;
    color: var(--secondary-text);
    padding: 10px;
    position: relative;
    border-bottom: 1px solid rgb(221, 219, 219);
}

/*MOBILE-SERVICE UL*/
#service-down {
    width: auto;
    height: 10px;
    margin-left: 10px;
}

#mobile-service-dropdown {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    background-color: #fff;
    padding: 0;
    transition: all .35s ease;
    width: 100%;
    box-sizing: border-box;
    animation: .5s fadeIn;
}

#mobile-service-dropdown a {
    margin: 0;
    padding: 0;
    list-style: none;
    color: var(--secondary-text);
    font-size: 17px;
    text-decoration: none;
    font-weight: 500;
    margin: 7px 0 0 25px;
    transition: all .55s ease;
    border-bottom: 1px solid rgb(221, 219, 219);
}

.mobile-links ul li a {
    list-style: none;
    color: var(--secondary-text);
    font-size: 17px;
    text-decoration: none;
    font-weight: 500;
    margin: 100px 10px;
}

.hide {
    display: none;
}

@media (max-width: 1020px) {

    #desk-nav {
        display: none;
    }

    #mobile-nav {
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 90%;
    }
}

@media (max-width: 680px) {
    .mobile-links ul {
        width: 89%;
    }
}


/*HERO*/
.hero {
    position: relative;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    overflow: hidden;
    width: 100%;
    min-height: 1620px;
    padding-top: 170px;
    margin: auto;
}

.gradients-bg {
    position: absolute;
    left: 0%;
    top: 0%;
    right: 0%;
    bottom: auto;
    width: 100%;
    height: 1620px;
    background-image: none;
    background-size: auto;
    background-repeat: repeat;
    z-index: -999;
    margin: auto;
    overflow: hidden;
}

.gradient-circle-pink {
    position: absolute;
    top: 11%;
    right: -14%;
    width: 45vw;
    height: 45vh;
    border-radius: 50%;
    background-color: var(--primary-pink);
    filter: blur(120px);

}

.gradient-circle-blue {
    position: absolute;
    left: -14%;
    top: 10%;
    width: 46vw;
    height: 46vh;
    border-radius: 50%;
    background-color: var(--primary-blue);
    filter: blur(120px);
}

.gradient-circle-purple {
    position: absolute;
    top: 30%;
    width: 52vw;
    height: 52vh;
    border-radius: 50%;
    background-color: var(--primary-purple);
    filter: blur(120px);
}

.gradient-circle-yellow {
    position: absolute;
    left: 46%;
    top: auto;
    right: 0%;
    bottom: 31%;
    width: 44vw;
    height: 44vh;
    border-radius: 50%;
    background-color: var(--primary-yellow);
    filter: blur(120px);
}

.gradient-circle-yellow._2 {
    width: 30vw;
    height: 30vh;
    background-color: rgba(248, 217, 151, 0.5);
}

/*HERO Text*/
.hero-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    width: 90%;
    animation: 1s ease-out scaleOut;
    animation-delay: .200ms;
}

/*hero-content-blog*/
.update-blog {
    width: 88%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: auto;
}


.update-blog .image {
    border: 15px solid white;
    overflow: hidden;
    box-shadow: 0 0 15px #aaaaaa;
    transition: all .30s ease;
    max-width: 500px;
    height: auto;
}

.update-blog .image img {
    width: 100%;
    height: auto;
    transition: all .35s ease;
}

.update-blog:hover .image img,
.blog:hover .image img {
    transform: scale(1.03);
}

.update-blog .text {
    text-align: left;
    padding: 40px;
}

.update-blog .text h5,
.blog .text h5 {
    color: var(--primary-purple);
    font-size: 14px;
    line-height: 17px;
    font-weight: 600;
    letter-spacing: 0.5px;
    text-transform: uppercase;
    margin: 0;
}

.update-blog .text h1 {
    color: var(--primary-text);
    font-size: 42px;
    line-height: 46px;
    letter-spacing: -1.5px;
    font-weight: bolder;
    margin: 10px 0;
}

.update-blog .text p {
    color: var(--secondary-text);
    font-size: 18px;
    line-height: 26px;
    font-weight: 300;
    max-width: 374px;
    margin: 0;
}

.update-blog .text .button {
    display: inline-block;
    padding: 0.75rem 1.25rem;
    border-radius: 10rem;
    color: #fff;
    text-transform: uppercase;
    font-size: 1rem;
    letter-spacing: 0.15rem;
    transition: all 0.3s;
    position: relative;
    overflow: hidden;
    z-index: 1;
    text-decoration: none;
    margin: 15px 0 0 0;
    background-color: transparent;
}

.update-blog .text .button:after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--primary-purple);
    border-radius: 10rem;
    z-index: -2;
}

.update-blog .text .button:before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0%;
    height: 100%;
    background-color: black;
    transition: all 0.3s;
    border-radius: 10rem;
    z-index: -1;
}

.update-blog .text .button:hover {
    color: #fff;
}

.update-blog .text .button:hover:before {
    width: 100%;
}


/*BLOG-SECTION*/
#blogs {
    width: 80%;
    padding: 40px;
    background-color: hsla(0, 0%, 100%, 0.65);
    backdrop-filter: blur(50px);
    margin: -1210px auto 0 auto;
    border: none;
    border-radius: 40px 40px 0px 0px;
}

#blogs h2 {
    color: var(--primary-text);
    font-size: 28px;
    margin: 0;
    font-weight: 800;
}

/* BLOG-CARD */
.blog {
    width: 85%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 20px 0;
    box-sizing: border-box;
    padding-bottom: 20px;
    border-bottom: 1px solid rgb(221, 219, 219);
}

.blog .image {
    border: 15px solid white;
    overflow: hidden;
    box-shadow: 0 0 15px #aaaaaa;
    transition: all .30s ease;
    max-width: 450px;
    height: auto;
}

.blog .image img {
    width: 100%;
    transition: all .35s ease;
}

.blog .text {
    margin-left: 30px;
}

.blog .text h1 {
    color: var(--primary-text);
    font-size: 26px;
    line-height: 36px;
    letter-spacing: -1.5px;
    font-weight: bolder;
    margin: 10px 0;
}

.blog .text p {
    color: var(--secondary-text);
    font-size: 16px;
    font-weight: 300;
    margin: 0;
    border: none;
}

.blog .text .button {
    text-align: center;
    display: inline-block;
    padding: 13px 20px;
    border: 1px solid var(--secondary-text)27;
    border-radius: 50px;
    cursor: pointer;
    letter-spacing: 2px;
    position: relative;
    overflow: hidden;
    text-decoration: none;
    margin: 15px 0 0 0;
    font-weight: 500;
}

.blog .text .button:before {
    content: "";
    position: absolute;
    height: 150px;
    width: 50px;
    background: var(--secondary-text);
    left: -55px;
    top: -40px;
    transform: rotate(37deg);
    transition: all .3s;
    opacity: 0.3;
}

.blog .text .button:hover:before {
    left: 95%;
}

@media (max-width: 1115px) {
    .update-blog {
        flex-direction: column;
    }

    .update-blog .text {
        margin-top: 30px;
        padding: 0;
        text-align: center;
    }

    #blogs {
        margin-top: -980px;
        text-align: center;
        padding: 20px 10px;
        width: 90%;
    }

    .blog {
        flex-direction: column;
        margin-right: auto;
        margin-left: auto;
        width: 90%;
    }

    .blog .text {
        margin-top: 30px;
        margin-left: 0;
    }

}

/*FOOTER*/
#footer {
    position: relative;
    display: flex;
    align-items: flex-end;
    justify-content: center;
    overflow: hidden;
    width: 100%;
    height: 75vh;
}

.footer-content {
    background-color: #fff;
    border-top-right-radius: 40px;
    border-top-left-radius: 40px;
    padding: 20px 40px;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    width: 94%;
    height: 55vh;
    box-sizing: border-box;
}

.footer-content div {
    flex: 1;
    padding: 30px;
}

.company img {
    width: 105px;
}

.company h4 {
    margin-bottom: 12px;
}

.company p {
    margin-bottom: 10px;
    color: var(--secondary-text);
    font-size: 16.5px;
    font-weight: 300;
    letter-spacing: -0.3px;
}

.menu h3,
.services h3,
.info h3 {
    color: #000;
    font-size: 18px;
    font-weight: 600;
    margin: 10px 0 20px 0;
}

.menu a,
.services a {
    display: block;
    text-decoration: none;
    color: var(--secondary-text);
    font-size: 15px;
    line-height: 20px;
    font-weight: 400;
    margin: 15px 0;
    position: relative;
}

.menu a::before {
    content: '';
    border: 1px solid var(--primary-purple);
    border-radius: 50px;
    color: var(--primary-purple);
    width: 0;
    position: absolute;
    bottom: -3px;
    left: 0;
    transition: all 200ms ease-out;
    visibility: hidden;
}

.menu a:hover:before {
    width: 20%;
    visibility: visible;
}

.services a::before {
    content: '';
    border: 1px solid var(--primary-purple);
    border-radius: 50px;
    color: var(--primary-purple);
    width: 0;
    position: absolute;
    bottom: -3px;
    left: 0;
    transition: all 200ms ease-out;
    visibility: hidden;
}

.services a:hover:before {
    width: 20%;
    visibility: visible;
}

.info p {
    transition: color 200ms ease;
    color: var(--primary-purple);
    font-size: 15px;
    line-height: 24px;
    font-weight: 500;
    text-decoration: none;
    cursor: pointer;
}

.icons {
    display: flex;
    justify-content: center;
    align-items: flex-start;
}

.icons a {
    text-decoration: none;
    padding: 10px;
    border-radius: 100px;
    margin: 0 10px;
}

.icons img {
    width: auto;
    height: 30px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    transition: all .25s ease;
}

.icons img:hover {
    transform: translateY(-5px);
}

.fb {
    background-color: #067aeb;
}

.insta {
    background-image: linear-gradient(1030deg, #e71e4c, #fb774e);
}

.twitter {
    background-color: #1da1f2;
}

@media (max-width: 1020px) {
    #footer {
        height: 100%;
        /* height: 108vh; */
        padding-top: 100px;
    }

    .footer-content {
        flex-direction: column;
        height: 90%;
        /* height: 98vh; */
    }

    .footer-content div {
        padding-top: 5px;
        padding-bottom: 0px;
    }
}